Author Search
ai.authors.list(AuthorListParams**kwargs) -> SyncSinglePage[object]
GET/accounts/{account_id}/ai/authors/search
Searches Workers AI models by author or organization name.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYYAPI Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
X-Auth-Email: user@example.comThe previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194Accepted Permissions (at least one required)
Workers AI WriteWorkers AI ReadAuthor Search
import os
from cloudflare import Cloudflare
client = Cloudflare(
api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted
)
page = client.ai.authors.list(
account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page){
"errors": [
{}
],
"messages": [
"string"
],
"result": [
{}
],
"success": true
}Returns Examples
{
"errors": [
{}
],
"messages": [
"string"
],
"result": [
{}
],
"success": true
}